Subject: Re: [RFC 04/20] RDMA/irdma: Add driver framework definitions

From: "[email-masked]" <[email-masked]>
Date: Thu, 26 Sep 2019 20:02:15 +0200

On Thu, Sep 26, 2019 at 04:55:12PM +0000, Jason Gunthorpe wrote:
> On Thu, Sep 26, 2019 at 09:45:03AM -0700, Jeff Kirsher wrote:
> > +int i40iw_probe(struct platform_device *pdev)
> > +{
> > +	struct i40e_peer_dev_platform_data *pdata =
> > +		dev_get_platdata(&pdev->dev);
> > +	struct i40e_info *ldev;
> 
> I thought Greg already said not to use platform_device for this?

Yes I did, which is what I thought this whole "use MFD" was supposed to
solve.  Why is a platform device still being used here?

thanks,

greg k-h